Statistiques - Anomalie #2777

Statistiques "liens entrants™
06/26/2012 12:23 PM - svpip -

Status: Fermé Start date: 06/26/2012
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 3.0

Resolution: fixed Navigateur:

Description

Apparemment pas encore releve...

Constaté sur SPIP 3.0.2 [19586]

L'affichage statistiques 'liens entrants’ proposé pour chaque article génére une erreur depuis le squelette
/plugins-dist/statistiques/prive/squelettes/contenu/stats_referers.html

message

Erreur MySQL 1054
Unknown column 'visites_jour' in 'field list' ...

ex pour article 1 :

/ecrire/?exec=stats_referers&id_article=1
Affiche correctement les résultats généraux

/ecrire/?exec=stats_referers&jour=veille
onglet "hier" produit une erreur squelette
la variable "id_article" n'apparait pas dans I'URL mais semble bien récupérée par le squelette

/ecrire/?exec=stats_referers&jour=jour
idem pour onglet "aujourd'hui”

Aussi :

1 - au rechargement de ces 2 url respectives, le message disparait et toujours pas de résultats.
2 - impossible d'activer a nouveau /ecrire/?exec=stats_referers&id_article=1 depuis le lien "tout afficher"

History

#1 - 06/26/2012 07:49 PM - cedric -

probleme dans ta table de statistiques, comme l'indique l'erreur : il semble que tu as perdu le champs visites_jour sur la table spip_referers.

#2 - 06/27/2012 10:56 AM - svpip -

Il me semble ne rien avoir perdu en route méme suite a la migration 2.1.10 > 3.0.1 > 3.0.2. D'ailleurs le probléme est identique pour une premiére
installation en 3.0.2 avec la création d'un seul article en guise de test.

Message complet renvoyé systématiquement depuis les url citées plus haut :

Erreur MySQL 1054

Unknown column "visites_jour" in "field list"

SELECT referer_md5, referer, visites_jour AS vis FROM spip_referers_articles WHERE visites_jour>0 AND id_article=xxx ORDER BY maj DESC
LIMIT 0,100

En effet la table "spip_referers_articles" ne fait référence a aucun champs "visites_jours" ou "visites_veille"

"var_mode=debug" indique la ligne 38 du squelette /plugins-dist/statistiques/prive/squelettes/contenu/stats_referers.html & savoir
"<BOUCLE_sous(POUR){tableau #VALEUR{referers}}>"

Plus precisement le probléme est localisé en ligne 44 de "plugins-dist/statistiques/inc/stats_referers_to_array.php"
le "select" ne gére qu'un seul cas de figure, celui de tous les liens entrants pour un seul article depuis la mise en ligne.

#3 - 06/27/2012 11:22 AM - cedric -

ok, compris, visible sur une page du type ecrire/?exec=stats_referers&jour=jour&id_article=xxx

#4 - 06/27/2012 11:26 AM - cedric -
- Status changed from Nouveau to Fermé

- Resolution set to fixed

en fait on ne sait pas afficher les referers du jour ou de la veille sur un article, c'est une erreur d'interface, corrigée par
http://zone.spip.org/trac/spip-zone/changeset/63034
